## noris-wiki 1.0.2

=== Makefile ===
# https://www.debian.org/doc/manuals/maint-guide/modify.de.html#destdir
DESTDIR=/tmp/wiki

WIKI=${DESTDIR}/usr/share/noris-wiki

# Writable
WIKI_WRITE=${DESTDIR}/var/www/noris-wiki
WIKI_IMAGE=${DESTDIR}/var/www/noris-wiki/images
WIKI_TMP=${DESTDIR}/var/www/noris-wiki/images/tmp

# Settings & Extensions
WIKI_CONFI=${DESTDIR}/etc/noris-wiki

# Apache config
NORIS_SITES=${DESTDIR}/etc/apache2/includes-available

build: ;

install:
	# Create the necessary folders
	mkdir --parents ${WIKI}
	mkdir --parents ${WIKI_WRITE}
	mkdir --parents ${WIKI_IMAGE}
	mkdir --parents ${WIKI_CONFI}
	mkdir --parents ${WIKI_TMP}
	mkdir --parents ${NORIS_SITES}

	# Copy over the directories
	cp --recursive includes ${WIKI}
	cp --recursive languages ${WIKI}
	cp --recursive maintenance ${WIKI}
	cp --recursive mw-config ${WIKI}
	cp --recursive resources ${WIKI}
	cp --recursive serialized ${WIKI}
	cp --recursive skins ${WIKI}
	cp --recursive tests ${WIKI}
	rsync --recursive --exclude ".git" extensions ${WIKI}  # No git please
	rsync --recursive --exclude ".git" vendor ${WIKI}      # No git please

	# Copy over the files
	cp ./*.php5 ${WIKI}
	cp ./*.gif ${WIKI}
	cp ./*.phtml ${WIKI}
	cp ./README.md ${WIKI}
	# Skip files that go into /etc/noris-wiki
	rsync --exclude "LocalSettingsInclude.php" --exclude "LocalSettingsInclude.php.sample" ./*.php ${WIKI}

	cp --no-clobber LocalSettingsInclude.php.example ${WIKI_CONFI}/LocalSettingsInclude.php;
	# Secure the configuration file
	chmod 600 ${WIKI_CONFI}/LocalSettingsInclude.php;
	chown www-data ${WIKI_CONFI}/LocalSettingsInclude.php;

	# Install in apache-noris available sites. Needs to manually be enabled.
	cp wiki.conf.example ${NORIS_SITES}/wiki.conf

	# We want to write data to the u
	chown -R www-data:www-data ${WIKI_WRITE}

clean:
	rm --force ./*-stamp

=== debian/changelog ===
noris-wiki (1.0.2) wheezy; urgency=low

  * Fixed prefix of maintenance script.

 -- Jonas Gröger <jonas.groeger@noris.de>  Mon, 08 Jun 2015 19:02:42 +0200

noris-wiki (1.0.1) wheezy; urgency=low

  * Make configuration nicer.

 -- Jonas Gröger <jonas.groeger@noris.de>  Mon, 08 Jun 2015 18:31:00 +0200

noris-wiki (1.0.0) wheezy; urgency=low

  * Initial Release.

 -- Jonas Gröger <jonas.groeger@noris.de>  Mon, 04 May 2015 17:26:10 +0200

=== debian/control ===
Source: noris-wiki
Section: noris/misc
Version: 1.0.2
Priority: optional
Maintainer: Jonas Gröger <jonas.groeger@noris.de>
Build-Depends: debhelper (>= 9)
Depends: apache2, php5, libapache2-mod-php5, php5-imagick, php5-mysql, mysql-server, imagemagick
Recommends: memcached
Standards-Version: 3.9.5
Homepage: https://gitlab.noris.net/cda-ad/wiki
Vcs-Git: git@gitlab.noris.net:cda-ad/wiki.git
Vcs-Browser: https://gitlab.noris.net/cda-ad/wiki

Package: noris-wiki
Architecture: all
Depends: ${misc:Depends}
Description: Das interne Wiki der Noris Network AG.
 Das hier ist das interne Wiki der Noris Network AG.
 Es besteht aus einer MediaWiki installation mit einigen
 Anpassungen.

=== debian/rules ===
#!/usr/bin/make -f

# Output every command that modifies files on the build system.
#DH_VERBOSE = 1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

override_dh_md5sums: ;

%:
	dh $@
